Bug 440545 - firefox 3.0 + keramik-design
firefox 3.0 + keramik-design
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gtk-qt-engine (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-03 18:11 EDT by Reindl Harald
Modified: 2009-01-09 01:19 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:19:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of Firefox 3.0 Beta 5 (154.47 KB, image/png)
2008-04-03 18:11 EDT, Reindl Harald
no flags Details
The same KDE4 Rawhide and FF3.0 (519.46 KB, image/png)
2008-04-04 09:48 EDT, Reindl Harald
no flags Details

  None (edit)
Description Reindl Harald 2008-04-03 18:11:10 EDT
Hi

would you please check gtk-qt-enigne with keramik und firefox 3.0 beta
checkboxes and radiobuttons have a white rectangle background and checkboxes no
space in a form-layout which makes no problems with older ff-versions

This seems only to be with "keramik"-design + ff 3.0
Other designs will look ok

Please take also a look at the web-developer-toolbar on top
There are also white backgrounds with this combination

I will attach a screenshot to make this clearer
Comment 1 Reindl Harald 2008-04-03 18:11:10 EDT
Created attachment 300352 [details]
Screenshot of Firefox 3.0 Beta 5
Comment 2 Rex Dieter 2008-04-04 07:48:41 EDT
F8 doesn't have firefox-3.0, can't confirm.
Comment 3 Reindl Harald 2008-04-04 09:48:48 EDT
Created attachment 300429 [details]
The same KDE4 Rawhide and FF3.0

If you download the tarball from mozilla.org it is no problem to test this and
users who needs extensions like "html validator" must do this since a long time
becauso incompatible ff-binarys in fedora :-(
Comment 4 Rex Dieter 2008-04-04 10:06:20 EDT
gtk-qt-engine-0.x was only useful for kde3 (oooh, just checked a kde4 version is
available), and ultimately did not do that great of a job(*).

(*) Not all gtk-qt-engine's fault, it exposed many gtk or gtk-app rendering
bugs, which unfortunately, was almost always blamed on gtk-qt-engine. 
gtk-qt-engine over time to address that simply included a "blacklist" of apps to
workaround.  firefox(3) will likely have to be added to that list.  The best way
to help make that happen, would be to report the issue to upstream gtk-qt-engine at 
http://gtk-qt.ecs.soton.ac.uk/bugs.php
Comment 5 Bug Zapper 2008-11-26 05:23:29 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-09 01:19:28 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.